# _Calendorians project_

# Setup
## 1.-Generate  google api credentials credentials.json:

https://stackoverflow.com/questions/58460476/where-to-find-credentials-json-for-google-api-client

and put your credentials.json on the root path for this project.

## 2.-installl requeriments

``` shell
pip install requeriments.txt 
```


+ find_free_time.py : Using Free/busy Query for google calendars api to get availability for specific date and a list of calendars.

other scripts:
* call_apoiment: Use speech recognition to get the data and create an appointment.
* list_calendars: list all caledars visibles for this credentials.
* liste events: list events for specific calendarID or for the primary if not specify.
* create_event

